<!DOCTYPE html>
<!-- svelte-ignore a11y-missing-attribute -->
<html>
<script src="https://d3js.org/d3.v4.js"></script>
<body>


<svg id="myPlot" style="width:800px;height:100px"></svg>

<script>
// Set Dimensions
const width = 800;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 25, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;
// Append SVG Object to the Page
const svg = d3.select("#myPlot")
  .append("svg")
  .append("g")
  .attr("transform","translate(" + margin + "," + margin + ")");

// X Axis
const x = d3.scaleLinear()
  .domain([1, 10])
  .range([0, innerWidth]);

svg.append("g")
  .attr("transform", "translate(0," + innerHeight + ")")
  .call(d3.axisBottom(x));


</script>

</body>
</html>

